function [t, x, y] = predator

a=0.2;
b=0.1;
g=0.002;
h=0.001;
tend=200;

x0 = [100; 25];
[t, xvec] = ode45(@f, [0, tend], x0);

x = xvec(:, 1);
y = xvec(:, 2);

% Plot of the solution
p=plot(t,x,t,y);
xlabel('time');
ylabel('number');
hleg = legend('Rabbits','Wolves');


function xdot = f(t, x)
    xdot= [ a*x(1) - g*x(1)*x(2); ...
         -b*x(2) + h*x(1)*x(2)];
end
end

